Permalink
Browse files

Change rcov to simplecov for compatibility with ruby 1.9

  • Loading branch information...
1 parent 7f1c757 commit 36e534094e1e613c6f39a869f1a6a5c7209c3e23 Reed Lipman committed May 24, 2012
Showing with 8 additions and 12 deletions.
  1. +1 −9 Rakefile
  2. +4 −0 spec/helper.rb
  3. +3 −3 statsd-ruby.gemspec
View
@@ -14,7 +14,7 @@ Jeweler::Tasks.new do |gem|
gem.add_development_dependency "minitest", ">= 0"
gem.add_development_dependency "yard", "~> 0.6.0"
gem.add_development_dependency "jeweler", "~> 1.5.2"
- gem.add_development_dependency "rcov", ">= 0"
+ gem.add_development_dependency "simplecov", ">= 0"
end
Jeweler::RubygemsDotOrgTasks.new
@@ -25,14 +25,6 @@ Rake::TestTask.new(:spec) do |spec|
spec.verbose = true
end
-require 'rcov/rcovtask'
-Rcov::RcovTask.new do |spec|
- spec.libs << 'lib' << 'spec'
- spec.pattern = 'spec/**/*_spec.rb'
- spec.verbose = true
- spec.rcov_opts << "--exclude spec,gems"
-end
-
task :default => :spec
require 'yard'
View
@@ -3,6 +3,10 @@
$LOAD_PATH.unshift(File.dirname(__FILE__))
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
+
+require 'simplecov'
+SimpleCov.start
+
require 'statsd'
require 'logger'
View
@@ -40,18 +40,18 @@ Gem::Specification.new do |s|
s.add_development_dependency(%q<minitest>, [">= 0"])
s.add_development_dependency(%q<yard>, ["~> 0.6.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
- s.add_development_dependency(%q<rcov>, [">= 0"])
+ s.add_development_dependency(%q<simplecov>, [">= 0"])
else
s.add_dependency(%q<minitest>, [">= 0"])
s.add_dependency(%q<yard>, ["~> 0.6.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
- s.add_dependency(%q<rcov>, [">= 0"])
+ s.add_dependency(%q<simplecov>, [">= 0"])
end
else
s.add_dependency(%q<minitest>, [">= 0"])
s.add_dependency(%q<yard>, ["~> 0.6.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
- s.add_dependency(%q<rcov>, [">= 0"])
+ s.add_dependency(%q<simplecov>, [">= 0"])
end
end

0 comments on commit 36e5340

Please sign in to comment.